#pragma once
#include "mbed.h"
#include "hardware.h"
#include "chamberData.h"

class pulse{
public:
    pulse();
    pulse(chamberData*, hardware*);
    ~pulse();
    void startPulse();
    void setChamber(chamberData*); //used in VOOR (for now, might change) - eric
    
private:
    double myPaceWidth; //mSec, width of ventricular pace
    double myPaceAmp; //mV, amplitude of ventricular pace
    double myRP; //mSec, duration of refractory period
    float p_hysteresisInterval;
    float p_lowrateInterval;
    bool p_hysteresis;
    Serial* pc;
    PwmOut* aOut;
    chamberData* myChamber;
    hardware* myIOpins;
        
};